4.1.2: ssb module added to initrd

I mentioned this in an earlier post, but here it is formally announced as a bugfix to be in 4.1.2.

The 'createpuppy' script in Unleashed has to have "ssb.ko " added to the 'NEEDEDINITRDMODS' variable, at line 938.

How to manually update Unleashed 4.1.1:
1. Open puppy-unleashed/createpuppy in a text editor.
2. Modify line 938 so that it looks like this:

NEEDEDINITRDMODS=' aufs.ko cdrom.ko fuse.ko ide-cd.ko ide-floppy.ko nls_cp437.ko nls_iso8859-1.ko sqlzma.ko squashfs.ko sr_mod.ko unionfs.ko unlzma.ko aes.ko aes_generic.ko blkcipher.ko crypto_blkcipher.ko cbc.ko cryptoloop.ko rsrc_nonstatic.ko yenta_socket.ko ehci-hcd.ko ohci-hcd.ko uhci-hcd.ko usb-storage.ko usbcore.ko usbhid.ko scsi_wait_scan.ko ssb.ko '

Note that the order of the modules in the list does not matter.


Posted on 13 Nov 2008, 7:21


No comments posted yet.